# Why Open?

Before defining the **how** of working open, it's worth spending some time thinking about why you would want to.

Working open is **not** a way to get free engineering or other labour for your project, although you can find efficiencies you wouldn't have found otherwise when you help people solve their own problems.

Working open is **not** a way to hit your deadline faster, and in fact you should be prepared for the reality that having a community around your project will require intention and mindfullness on your part.

Working open is **not** a way to avoid process or structure, and done properly should make power structures transparent and participatory.

It **is** a way to introduce new perspectives, incorporate user-centric thinking, and allow your project to achieve it's highest impact.

It can sharpen your thinking and find errors you hadn't known you'd made.  This is expressed in the "many eyes" principle or [Linus's Law](https://en.wikipedia.org/wiki/Linus's_Law):  "given enough eyeballs, all bugs are shallow". In other words, the more people involved, the more likely someone is to spot an error.

Increasing the amount of contributors can also increase the diversity of your project and make sure that it serves a wide constituency.  In the words of Aspiration technology's Allen Gunn:

>"I believe in the “many eyes” principle — but also in the **“many hearts and souls”** principle. Having many personalities, values and experience-sets involved in creating something intrinsically makes the finished product more robust and broadly relevant — versus, say, three privileged white guys in Silicon Valley kicking something out."
