# Open at Mozilla

Mozilla is one of the world's largest Open Source project, and our commitment to openness is reflected in the 2nd point of our [manifesto](https://www.mozilla.org/en-US/about/manifesto/):

>The Internet is a global public resource that must remain open and accessible.

To achieve this goal, Mozilla produces the [Firefox web browser](https://www.mozilla.org/firefox/), which is built by both paid staff and thousands of contributors around the world.  Contributors participate in a myriad of ways to build the browser - from submitting code, to translating, to writing support documentation, to running tests - it is the [product of many hands](https://www.mozilla.org/en-US/contribute/).

Mozilla also has a deep commitment to [Web Literacy](https://teach.mozilla.org/teach-like-mozilla/web-literacy/) - the notion that all citizens should be able to read, write and participate on the web.  To achieve this goal, The Mozilla Learning Network offers [programs and a global community](https://teach.mozilla.org/) dedicated to helping people learn the most important skills of our age.

Mozilla has many other activities - from our work in [advocating for Internet policy](https://advocacy.mozilla.org/), to placing fellows in the [Science](https://www.mozillascience.org/), [Journalism](https://opennews.org/) and [Advocacy](https://advocacy.mozilla.org/open-web-fellows/) communities.

All of these efforts include the work of contributors - some paid, some volunteer.  Mozilla holds many [public community calls](https://wiki.mozilla.org/WeeklyUpdates) where contributors can keep track of the day to decisions and progress of the Mozilla Project.  All of the engineering on Firefox takes place within the [Bugzilla](https://bugzilla.mozilla.org/) public issue tracker, and the activities of the [Mozilla Foundation](http://build.webmaker.org/) are also tracked publicly and are available for you to see.

We operate under an open governance [module ownership](https://www.mozilla.org/en-US/about/governance/policies/module-ownership/ ) system.

The [opportunities for contribution](https://www.mozilla.org/en-US/contribute/) at Mozilla are vast, and Mozilla would not be able to operate without these contributions.