# Roadmapping

Once your community decides what to work on, write it down! Creating a roadmap helps others understand the current status of your project and where it's going next. A roadmap can also express your vision for the project. Make sure you clearly state *why* you are implementing certain things to get people excited about joining.

This can be as simple as a collection of issues in your issue tracker, or a detailed timeline complete with milestones. It's up to you to choose what works best for your community!

## What should be in a roadmap?

### Mission
New contributors join in because of your mission and vision for the project. Have your roadmap clearly state *why* you are implementing certain things to get people excited about joining.

## Tasks
A roadmap is a collection of tasks you'd like to complete on this project. These should be organized along a timeline.

### Timeline
Working with volunteers, it may be difficult to assign hard timelines to the tasks you're working on. Try mapping out your project around 'short term', 'medium term' and 'long term'.

* **Short term:** What are you working on right now? Where can people easily jump in on work in progress?
* **Medium term:** Any task you would like to accomplish that doesn't fit into short term or long term.
* **Long term:** What tasks would you *like* to accomplish, but are currently blocked and not ready to be worked on for awhile?

## Where should I place my roadmap?

A roadmap should be somewhere public and easily accessible (blog, readme, issue).

If your project is hosted on GitHub, placing your roadmap in an issue is:

* public,
* easy to update,
* allows you to easily link each task to the corresponding issue and
* enables discussion.
