# ['Working Open' Project Guide](http://mozillascience.github.io/leadership-training/)

Working openly with contributors enables your community to learn how to build
and collaborate together. This document is a guideline on how to work openly and
involve others in your projects with Mozilla. We want to help you engage your
community in a way that encourages contributors and builds other leaders.


## Help Us Finish This Book

To add content to this book, follow these steps:

1. On the page you want to edit, click on the **'Edit'** button at the top of the page
    ![edit](/img/edit.jpg)
2. Make your edits in the GitHub interface. When you're done, scroll down and add a commit message summarizing your changes
3. Click on the **'propose file change'** button

    ![propose](/img/propose.png)
4. Hit the **'Create pull request'** button, make sure everything looks good, then hit **'Create pull request'** again

    ![create](/img/create.png)

This will open a discussion on your proposed changes. If your pull request is merged in, you'll see your changes appear here.

## Feedback

Are we missing anything? Have a comment? [Let us know what you think](https://github.com/mozillascience/leadership-training/issues/new).

## Table of Contents

* [Why Open?](01.1-whyopen.html)
  * [Working Open Basics](01.2-working_open.html)
  * [Open at Mozilla](01.4-openatmozilla.html)
* [Project Setup](http://mozillascience.github.io/leadership-training/02-setup.html)
  * [Lowering Barriers](http://mozillascience.github.io/leadership-training/02.1-newcomers.html)
  * [Roadmapping](http://mozillascience.github.io/leadership-training/02.2-roadmap.html)
  * [Legal](http://mozillascience.github.io/leadership-training/02.3-legal.html)
  * [Project Checklist](http://mozillascience.github.io/leadership-training/02.4-checklist.html)
* [Working with Contributors](http://mozillascience.github.io/leadership-training/03-contributors.html)
  * [Mechanics of Contributing](http://mozillascience.github.io/leadership-training/03.1-mechanics.html)
  * [Engaging Contributors](http://mozillascience.github.io/leadership-training/03.2-engaging.html)
  * [Developing Leaders](http://mozillascience.github.io/leadership-training/03.3-leaders.html)
* [Getting Unstuck](http://mozillascience.github.io/leadership-training/04-getting_unstuck.html)
  * [Where to Get Help](http://mozillascience.github.io/leadership-training/04.1-get_help.html)
  * [Toxic Members](http://mozillascience.github.io/leadership-training/04.2-toxic_members.html)
* [Maintaining Momentum](http://mozillascience.github.io/leadership-training/05-momentum.html)
  * [Events](http://mozillascience.github.io/leadership-training/05.1-events.html)
  * [Project Management](http://mozillascience.github.io/leadership-training/05.2-project_management.html)
* [Further Reading](http://mozillascience.github.io/leadership-training/06-reading.html)
* [Edit this Book](http://mozillascience.github.io/leadership-training/CONTRIBUTING.html)

## TODO: Who is this for?

## License
![Creative Commons License](https://i.creativecommons.org/l/by/4.0/88x31.png)

This work is licensed under a [Creative Commons Attribution 4.0 International License](http://creativecommons.org/licenses/by/4.0/).

